EDIT - bug #9965

Newly created derived unit is not shown in selection dialog
03/10/2022 01:01 PM - Katja Luther

Status: Closed Start date: 03/07/2022
Priority: New Due date: 03/29/2022
Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.31

Severity: normal Found in Version:

Description

mail Nadja Korotkova:
ich habe einen kleinen Bug gefunden

Wenn man ein neues Specimen angelegt hat, kann man es nicht direkt auswéhlen, man muss erst den Punkt am Ende des Eintrags
I6schen, oder, bei langerem Text einen Teil des Eintrags, und dann erst kann man das Specimen auswahlen.

Related issues:

Related to EDIT - bug #9978: Change of CacheStrategy from DerivedUnitFacade t... In Progress
Related to EDIT - feature request #2506: (Type-) Specimens may need status Closed
Related to EDIT - feature request #9939: Implement specimen status in TaxEditor Closed 03/11/2022 03/31/2022

Associated revisions

Revision 4e59ccae - 03/10/2022 01:03 PM - Katja Luther
ref #9965: do not change cacheStrategy of derived unit

Revision 6b6f20e9 - 03/10/2022 02:23 PM - Katja Luther

titteCache should not end with a point

Revision ¢768ddb6 - 03/11/2022 05:09 PM - Katja Luther

adapt tests to changes in cacheStrategy - continue

Revision 8f2ab1dc - 03/14/2022 01:20 PM - Katja Luther

ref #9965: revert changes and remove trailing dots

Revision 0889ef83 - 03/14/2022 01:23 PM - Katja Luther

ref #9965: adapt to changes in Facadelmplementation

Revision 3597bcc1 - 03/14/2022 02:41 PM - Katja Luther
ref #9965: adapt to changes in derivedUnit facade

Revision 6a5ec781 - 03/15/2022 08:28 AM - Andreas Miiller
ref #9965 remove trailing dot in DerivedUnitFacadeFieldUnitCacheStrategy

Revision 4ab64574 - 03/15/2022 10:24 AM - Katja Luther

adapt tests to changes in cacheStrategy - continue

Revision 241afe5a - 03/23/2022 09:00 AM - Andreas Miiller
ref #9965 add ticket link

Revision ca2d0796 - 03/28/2022 01:55 PM - Katja Luther

ref #9965: adapt face cache to specimen status

History
#1 - 03/10/2022 01:05 PM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

This should be fixed, the problem comes from the change of the cache strategy of the derived unit to DerivedUnitFacadeDefaultCacheStrategy.
Please review.

If everything is ok, i would clean up the code and delete the obsolete code.

#2 - 03/11/2022 11:36 AM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.31

#3 - 03/11/2022 03:17 PM - Andreas Miiller
- Due date set to 03/16/2022

- Start date set to 03/07/2022

- % Done changed from 0 to 50

#4 - 03/14/2022 11:46 AM - Andreas Miiller

- Related to bug #9978: Change of CacheStrategy from DerivedUnitFacade to DerivedUnitDefaultCacheStrategy results in different caches for
MediaSpecimen added

#5 - 03/14/2022 11:49 AM - Andreas Mdller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 50 to 60

As discussed, the implementation leads to follow up problems due to implementations in the MediaSpecimenCacheStrategy (see #9978). As fixing
this will take more time for now we will revert the changes for this ticket and instead adapt the FacadeCacheStrategies and remove the trailing dots
there in the same way as we did in the SpecimenCacheStrategy.

#6 - 03/16/2022 09:42 AM - Katja Luther

- Status changed from Feedback to Resolved

#7 - 03/16/2022 09:43 AM - Andreas Miiller
- % Done changed from 60 to 80

#8 - 03/22/2022 10:44 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

Actually a workaround is implemented with removing the trailing dot in the facade cache strategy, please review for the actual release and the correct
implementation will follow with a new ticket or reopening this ticket.

#9 - 03/23/2022 09:09 AM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 80 to 90

This works as expected.

Can you still add the commits from dataportal to the ticket and then close it?

#10 - 03/23/2022 09:12 AM - Katja Luther
- Status changed from Feedback to Closed

Added the dataportal commits, so we can close this ticket

#11 - 03/23/2022 09:49 AM - Andreas Miiller
- % Done changed from 90 to 100
#12 - 03/28/2022 01:00 PM - Andreas Miiller

- Due date changed from 03/16/2022 to 03/29/2022
- Status changed from Closed to Feedback

- % Done changed from 100 to 80

| have to reopen as this does not yet work if the derived unit has stats (not seen, ...). This is new and is not yet impelemented accordingly for the
facade.

#13 - 03/28/2022 01:05 PM - Andreas Miiller
- Related to feature request #2506: (Type-) Specimens may need status added

- Related to feature request #9939: Implement specimen status in TaxEditor added

#14 - 03/30/2022 09:41 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

Andreas Muller wrote in #note-12:

| have to reopen as this does not yet work if the derived unit has stats (not seen, ...). This is new and is not yet impelemented accordingly for the
facade.

This should be fixed with the last commit.

#15 - 03/31/2022 10:12 AM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 80 to 100

This works as expected now.
